<?php

/**
 * Active Callbacks
 *
 * @package dog_pet_house
 */

// Theme Options.
function dog_pet_house_is_pagination_enabled( $dog_pet_house_control ) {
	return ( $dog_pet_house_control->manager->get_setting( 'dog_pet_house_enable_pagination' )->value() );
}
function dog_pet_house_is_breadcrumb_enabled( $dog_pet_house_control ) {
	return ( $dog_pet_house_control->manager->get_setting( 'dog_pet_house_enable_breadcrumb' )->value() );
}
function dog_pet_house_is_layout_enabled( $dog_pet_house_control ) {
	return ( $dog_pet_house_control->manager->get_setting( 'dog_pet_house_website_layout' )->value() );
}
function dog_pet_house_is_pagetitle_bcakground_image_enabled( $dog_pet_house_control ) {
	return ( $dog_pet_house_control->manager->get_setting( 'dog_pet_house_page_header_style' )->value() );
}
function dog_pet_house_is_preloader_style( $dog_pet_house_control ) {
	return ( $dog_pet_house_control->manager->get_setting( 'dog_pet_house_enable_preloader' )->value() );
}


// Header Options.
function dog_pet_house_is_topbar_enabled( $dog_pet_house_control ) {
	return ( $dog_pet_house_control->manager->get_Setting( 'dog_pet_house_enable_topbar' )->value() );
}

// Banner Slider Section.
function dog_pet_house_is_banner_slider_section_enabled( $dog_pet_house_control ) {
	return ( $dog_pet_house_control->manager->get_setting( 'dog_pet_house_enable_banner_section' )->value() );
}
function dog_pet_house_is_banner_slider_section_and_content_type_post_enabled( $dog_pet_house_control ) {
	$dog_pet_house_content_type = $dog_pet_house_control->manager->get_setting( 'dog_pet_house_banner_slider_content_type' )->value();
	return ( dog_pet_house_is_banner_slider_section_enabled( $dog_pet_house_control ) && ( 'post' === $dog_pet_house_content_type ) );
}
function dog_pet_house_is_banner_slider_section_and_content_type_page_enabled( $dog_pet_house_control ) {
	$dog_pet_house_content_type = $dog_pet_house_control->manager->get_setting( 'dog_pet_house_banner_slider_content_type' )->value();
	return ( dog_pet_house_is_banner_slider_section_enabled( $dog_pet_house_control ) && ( 'page' === $dog_pet_house_content_type ) );
}

// Places section.
function dog_pet_house_is_product_section_enabled( $dog_pet_house_control ) {
	return ( $dog_pet_house_control->manager->get_setting( 'dog_pet_house_enable_service_section' )->value() );
}
function dog_pet_house_is_product_section_and_content_type_post_enabled( $dog_pet_house_control ) {
	$dog_pet_house_content_type = $dog_pet_house_control->manager->get_setting( 'dog_pet_house_product_content_type' )->value();
	return ( dog_pet_house_is_product_section_enabled( $dog_pet_house_control ) && ( 'post' === $dog_pet_house_content_type ) );
}
function dog_pet_house_is_product_section_and_content_type_page_enabled( $dog_pet_house_control ) {
	$dog_pet_house_content_type = $dog_pet_house_control->manager->get_setting( 'dog_pet_house_product_content_type' )->value();
	return ( dog_pet_house_is_product_section_enabled( $dog_pet_house_control ) && ( 'page' === $dog_pet_house_content_type ) );
}